dbXML API

## org.dbxml.core.corba.db
Class FaultCodesPOA

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.dbxml.core.corba.db.FaultCodesPOA

All Implemented Interfaces:
  FaultCodesOperations, org.omg.CORBA.portable.InvokeHandler

Direct Known Subclasses:
  FaultCodesPOATie

public abstract class FaultCodesPOA
extends org.omg.PortableServer.Servant
implements org.omg.CORBA.portable.InvokeHandler, FaultCodesOperations

Generated from IDL definition of interface "FaultCodes"

Author:
  JacORB IDL compiler

Constructor Summary
`FaultCodesPOA()`

Method Summary
`java.lang.String[]` `_all_interfaces(org.omg.PortableServer.POA poa, byte[] obj_id)`
`org.omg.CORBA.portable.OutputStream` `_invoke(java.lang.String method, org.omg.CORBA.portable.InputStream _input, org.omg.CORBA.portable.ResponseHandler handler)`
`FaultCodes` `_this()`
`FaultCodes` `_this(org.omg.CORBA.ORB orb)`

Methods inherited from class org.omg.PortableServer.Servant
`_default_POA, _get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FaultCodesPOA

    public FaultCodesPOA()

Method Detail

### _this

    public FaultCodes _this()

### _this

    public FaultCodes _this(org.omg.CORBA.ORB orb)

### _invoke

    public org.omg.CORBA.portable.OutputStream _invoke(java.lang.String method,
                                                       org.omg.CORBA.portable.InputStream _input,
                                                       org.omg.CORBA.portable.ResponseHandler handler)
                                                throws org.omg.CORBA.SystemException

  Specified by:
    `_invoke` in interface `org.omg.CORBA.portable.InvokeHandler`

### _all_interfaces

    public java.lang.String[] _all_interfaces(org.omg.PortableServer.POA poa,
                                              byte[] obj_id)

  Overrides:
    `_all_interfaces` in class `org.omg.PortableServer.Servant`

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved